Bug 21624 - opening a graphical window crashes scilab-2.5-4
opening a graphical window crashes scilab-2.5-4
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: scilab (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-02 14:23 EST by Joachim Frieben
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-24 08:41:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2000-12-02 14:23:02 EST
scilab-2.5-4 crashes when trying to open a graphical window and
returns 'Warning: Cannot convert string "XtorientVertical" to type
Orientation' on the text console.
Comment 1 Trond Eivind Glomsrxd 2000-12-03 18:10:41 EST
Can you give me a couple of commands to reproduce it?
Comment 2 Joachim Frieben 2000-12-04 12:35:02 EST
The reported bug interferes after executing 'scilab' from the command line
in the shell window.
The main graphics window appears and there is a menu button that allows
to enter the "demo mode" and another one labeled "Graphics Window 0".
When choosing a particular demo program, scilab crashes and returns the
above-mentioned error message on the command line. The same is the case
when one selects the menu point "set" or "create" from the menu related
to the main menu button "Graphics Window 0". This bug has been observed
on two very different PCs (plain RH7 with all updates made available
before 12/02/00).
Comment 3 Trond Eivind Glomsrxd 2000-12-05 19:35:38 EST
Fixed in scilab-2.5-5, which should be part of Rawhide sometime soon. Thanks for
your report.
Comment 4 Joachim Frieben 2000-12-06 12:16:00 EST
Why not put it into ftp://ftp.redhat.com/redhat/updates/powertools/7.0/i386 
together with the other updated RPMs of Power Tools 7.0? In a previous case of 
Power Tools 6.1, I had already observed that an updated RPM was put into 
rawhide than into updates and I didn't really get the reason why. Best regards!
Comment 5 Trond Eivind Glomsrxd 2000-12-06 12:32:17 EST
We usually only issue updates for security issues and critical components, as
there is a significant QA effort in releasing them (and to avoid too many
updated packages, so running a specific version has a fairly specific meaning)

Anyway, there are very few instances were programs for 7.1 doesn't run on 7.0 so
this shouldn't be much of a problem.

The bad news is that although this was fixed, it crashes... it does some bad
memory handling (try installing njamd and do "export LD_PRELOAD=libnjamd.so"
before running scilab to see). I'll be looking into it, and I'm reopening the bug.
Comment 6 Need Real Name 2001-01-24 08:41:27 EST
I have applied the patch as suggested by the "known bugs" on the scilab site. I 
haven't tested it very well. I didn't look into the memory problem indicated by 
Teg.

Anyway the patched RPM can be downloaded from, but don't complain if it doesn't 
work!

  http://www.xs4all.nl/~willemyn/scilab-2.5-4a.i386.rpm

Best Regards,

Ruud Schramp
Comment 7 Trond Eivind Glomsrxd 2001-03-09 17:39:53 EST
This should now be fixed in scilab-2.6-0.1unstable, available someday from
Rawhide and now from http://people.redhat.com/teg/scilab/

Note You need to log in before you can comment on or make changes to this bug.